CVE-2020-13871

NameCVE-2020-13871
DescriptionSQLite 3.32.2 has a use-after-free in resetAccumulator in select.c because the parse tree rewrite for window functions is too late.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-2340-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
sqlite (PTS)buster2.8.17-15fixed
buster (security)2.8.17-15+deb10u1fixed
sqlite3 (PTS)buster3.27.2-3+deb10u1fixed
buster (security)3.27.2-3+deb10u2fixed
bullseye3.34.1-3fixed
bookworm3.40.1-2fixed
sid, trixie3.45.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
sqlitesource(unstable)(not affected)
sqlite3sourcejessie(not affected)
sqlite3sourcestretch3.16.2-5+deb9u2DLA-2340-1
sqlite3sourcebuster(not affected)
sqlite3source(unstable)3.32.2-2

Notes

[buster] - sqlite3 <not-affected> (Vulnerability introduced later)
[jessie] - sqlite3 <not-affected> (Vulnerable code not present)
- sqlite <not-affected> (Vulnerability introduced later)
New fix: https://www.sqlite.org/src/info/44a58d6cb135a104
Fixed by: https://www.sqlite.org/src/info/79eff1d0383179c4
https://www.sqlite.org/src/info/c8d3b9f0a750a529
https://www.sqlite.org/src/info/cd708fa84d2aaaea

Search for package or bug name: Reporting problems